Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.resource.cci
Interface ResourceAdapterMetaData

public interface ResourceAdapterMetaData

The ResourceAdaptetMetaData provides information about the resource adapters implementation. The resource adapter does not require an active connection to exist in order for the client to retrieve and use this data.

Version:
  $Revision: 1.3 $

Method Summary
`String` | `getAdapterName()` Gets the resource adapter's name.
`String` | `getAdapterShortDescription()` Gets the resource adapter's short description.
`String` | `getAdapterVendorName()` Gets the resource adapter vendor's name.
`String` | `getAdapterVersion()` Gets the resource adapter version.
`String[]` | `getInteractionSpecsSupported()` Gets information on the InteractionSpec types supported by this resource adapter.
`String` | `getSpecVersion()` Gets the Connector specification version supported by this adapter.
`boolean` | `supportsExecuteWithInputAndOutputRecord()` Returns true if the resource adapter Interaction implementation supports the method boolean execute( InteractionSpec spec, Record input, Record output ), otherwise returns false
`boolean` | `supportsExecuteWithInputRecordOnly()` Returns true if the resource adapter Interaction implementation supports the method boolean execute( InteractionSpec spec, Record input ), otherwise returns false
`boolean` | `supportsLocalTransactionDemarcation()` Returns true if the resource adapter implementation implements the LocalTransaction interface and supports local transaction demarcation.

Method Detail

### getAdapterName

    public String getAdapterName()

  Gets the resource adapter's name.

  Returns:
    Resource adapter name.

### getAdapterShortDescription

    public String getAdapterShortDescription()

  Gets the resource adapter's short description.

  Returns:
    Resource adapter short description.

### getAdapterVendorName

    public String getAdapterVendorName()

  Gets the resource adapter vendor's name.

  Returns:
    Resource adapter vendor name.

### getAdapterVersion

    public String getAdapterVersion()

  Gets the resource adapter version.

  Returns:
    Resource adapter version.

### getInteractionSpecsSupported

    public String[] getInteractionSpecsSupported()

  Gets information on the InteractionSpec types supported by this resource adapter.

  Returns:
    Array of InteractionSpec names supported.

### getSpecVersion

    public String getSpecVersion()

  Gets the Connector specification version supported by this adapter.

  Returns:
    Connector specification version.

### supportsExecuteWithInputAndOutputRecord

    public boolean supportsExecuteWithInputAndOutputRecord()

  Returns true if the resource adapter Interaction implementation supports the method boolean execute( InteractionSpec spec, Record input, Record output ), otherwise returns false

### supportsExecuteWithInputRecordOnly

    public boolean supportsExecuteWithInputRecordOnly()

  Returns true if the resource adapter Interaction implementation supports the method boolean execute( InteractionSpec spec, Record input ), otherwise returns false

### supportsLocalTransactionDemarcation

    public boolean supportsLocalTransactionDemarcation()

  Returns true if the resource adapter implementation implements the LocalTransaction interface and supports local transaction demarcation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.